Skip to content

Patch a purchaseorder ​

PATCH
/v1/purchaseorders/{purchaseorder_id}

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

purchaseorder_id*

XS2event ID of the PurchaseOrder

Type
string
Required

Request Body​

application/json
JSON
{
  
"supplier_id": null,
  
"purchase_date": null,
  
"reference_number": null,
  
"items": [
  
  
{
  
  
  
"ticket_id": null,
  
  
  
"event_id": null,
  
  
  
"ticket_name": null,
  
  
  
"quantity": null,
  
  
  
"costprice": null,
  
  
  
"costprice_eur": null,
  
  
  
"currency_code": null,
  
  
  
"use_allocation": null,
  
  
  
"vat_category": null,
  
  
  
"purchaseorderitem_id": null
  
  
}
  
],
  
"event_id": null,
  
"purchaseorder_status": null,
  
"comments": null,
  
"bookingorder_id": null,
  
"booking_code": null,
  
"invoice_filename": null,
  
"invoice_basecone_id": null,
  
"invoice_payment_condition": null,
  
"invoice_exact_id": null,
  
"proforma_invoice_filename": null,
  
"proforma_basecone_id": null,
  
"proforma_payment_condition": null,
  
"proforma_exact_id": null,
  
"exact_invoices": [
  
  
"string"
  
],
  
"guestdata_status": null,
  
"purchase_fx_rate": null,
  
"purchase_channel": null,
  
"purchase_source": null,
  
"send_invoice_supplier": null,
  
"fxratemoment_id": null,
  
"payment_date": null,
  
"payment_status": null,
  
"sport_type": null,
  
"ticket_upload_status": null,
  
"created": null,
  
"updated": null,
  
"deleted": null,
  
"created_by": null,
  
"deleted_by": null
}

Responses​

No Content

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​